﻿@using Portal.Models;
@using System.Web.Mvc;
@using System.Web.UI.WebControls;
@using System.Data;
@using Portal.Controllers;
@model Toyota.Common.Web.MVC.ModelHolder
@{     
    Layout = "~/Views/Layout/Dashboard.cshtml";
}

@section Script {
    function BeginGridCallback(s, e) {
        e.customArgs["ModuleID"] = ModuleID.GetValue();
        e.customArgs["DateFrom"] = DateFrom.GetValue();
        e.customArgs["DateTo"] = To.GetValue();
        e.customArgs["Function"] = Function.GetValue();
        e.customArgs["Status"] = Status.GetValue();
    }

     $(document).ready(function(){
        GridTransactionLogHeader.Refresh();
    });
}

<div id="LogHeader">
    <h2>Log Transaction Header</h2>
    <table width="100%">
        <tr>
            <td width="120px">Process Date From</td>
            <td width="1px"></td>
            <td width="150px">
                @Html.DevExpress().DateEdit(
                    settings =>
                    {
                        settings.Name = "DateFrom";
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                        settings.Properties.NullText = "dd/MM/yyyy";
                        settings.Properties.EditFormat = EditFormat.Custom;
                        settings.Properties.EditFormatString = "dd/MM/yyyy";
                        settings.Properties.DisplayFormatString = "dd/MM/yyyy";
                        settings.Width = 130;
                    }
                ).GetHtml()
            </td>
            <td width="20px">To</td>
            <td width="1px"></td>
            <td width="170px">
                @Html.DevExpress().DateEdit(
                    settings =>
                    {
                        settings.Name = "To";
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                        settings.Properties.NullText = "dd/MM/yyyy";
                        settings.Properties.EditFormat = EditFormat.Custom;
                        settings.Properties.EditFormatString = "dd/MM/yyyy";
                        settings.Properties.DisplayFormatString = "dd/MM/yyyy";
                        settings.Width = 130;
                    }
                ).GetHtml()
            </td>
            <td>
                    @Html.DevExpress().Button(
                        edtSetting =>
                        {
                            edtSetting.Name = "Search";
                            edtSetting.Text = "Search";
                            edtSetting.ClientSideEvents.Click = "function(s,e) {  GridTransactionLogHeader.PerformCallback(); }";
                        }
                    ).GetHtml()
            </td>
        </tr>
        <tr>
            <td>Module ID</td>
            <td></td>
            <td>
                @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "ModuleID";
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                    }
                ).GetHtml()
            </td>
        </tr>
        </tr>
            <td>Function</td>
            <td></td>
            <td>
                @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "Function";
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                    }
                ).GetHtml()            
            </td>
        </tr>
        <tr>
            <td>Status</td>
            <td></td>
            <td>
                @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "Status";
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                    }
                ).GetHtml()
            </td>
        </tr>
    </table>
    <br />
</div>

<div id="LogGridview">
    <table width="100%">
        <tr>
            <td>                 
                @Html.Partial("GridIndex", Model)
            </td>
        </tr>
    </table>
</div>